Bug 130802 - 5.8.5-3 ignores 5.8.4
5.8.5-3 ignores 5.8.4
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-08-24 16:10 EDT by GeoffLeach
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-15 07:36:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description GeoffLeach 2004-08-24 16:10:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
perl -V does not list any components from 5.8.4.  Thus, its not in
@INC and any modules installed in the 5.8.4 subtree are not found.

Version-Release number of selected component (if applicable):
perl-5.8.5-3

How reproducible:
Always

Steps to Reproduce:
1.perl -V
2.
3.
    

Actual Results:    @INC:
    /usr/lib/perl5/5.8.5/i386-linux-thread-multi
    /usr/lib/perl5/5.8.5
    /usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi
    /usr/lib/perl5/site_perl/5.8.3/i386-linux-thread-multi
    /usr/lib/perl5/site_perl/5.8.2/i386-linux-thread-multi
    /usr/lib/perl5/site_perl/5.8.1/i386-linux-thread-multi
    /usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi
...

Expected Results:    @INC:
    /usr/lib/perl5/5.8.5/i386-linux-thread-multi
    /usr/lib/perl5/5.8.5
    /usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi
    /usr/lib/perl5/site_perl/5.8.4/i386-linux-thread-multi
    /usr/lib/perl5/site_perl/5.8.3/i386-linux-thread-multi
    /usr/lib/perl5/site_perl/5.8.2/i386-linux-thread-multi
    /usr/lib/perl5/site_perl/5.8.1/i386-linux-thread-multi
    /usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi
...

Additional info:
Comment 1 Chip Turner 2004-08-27 14:40:50 EDT
good catch; didn't update inc_version_list when I moved th spec file to 5.8.5.  5.8.5-4 
should fix this.
Comment 2 GeoffLeach 2004-08-28 17:49:32 EDT
Strictly speaking, not the same bug, but ...

root@mtranch[15]->rpm -qip perl-5.8.5-4.i386.rpm
error: perl-5.8.5-4.i386.rpm: MD5 digest: BAD
Expected(d43732334d303cf697cfef76ae4b897b) !=
(2398e3da5aa1749b8d7f94a0847a2904)
Comment 3 Chip Turner 2004-10-12 06:44:20 EDT
try again with 5.8.5-7, should have the proper paths (5.8.5-4 was missing a couple).  
however, not sure about your md5sum issue
Comment 4 Tim Waugh 2004-10-15 07:36:15 EDT
Looks good to me.
Comment 5 GeoffLeach 2004-10-15 15:43:03 EDT
And to me

Note You need to log in before you can comment on or make changes to this bug.